| Home | Libraries | People | FAQ | More

##### basic_serial_port::basic_serial_port (2 of 4 overloads)

Construct and open a basic_serial_port.

    basic_serial_port(
        boost::asio::io_service & io_service,
        const char * device);

This constructor creates and opens a serial port for the specified device name.

###### Parameters

io_service

  The io_service object that the serial port will use to dispatch handlers for any asynchronous operations performed on the port.

device

  The platform-specific device name for this serial port.